<link rel="stylesheet" href="styles/common.css" />

<girafe-menu-button open="up">
  <button slot="menu-button" class="gg-icon-button gg-medium">
    <img alt="menu-icon" src="icons/layer-group.svg" />
  </button>

  <div slot="menu-content" id="container">
    ${Object.values(this.state.basemaps).map(basemap => uHtmlFor(basemap, basemap.id)`
    <button class="girafe-button-large" onclick="${() => this.changeBasemap(basemap)}">
      <img alt="basemap-icon" src="images/basemap.png" />
      <span i18n="${basemap.name}">${basemap.name}</span></button
    >` )}
  </div>
</girafe-menu-button>
